cgIsAnnotation(3)

NAME
cgIsAnnotation - determine if an annotation handle references a valid annotation

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsAnnotation( CGannotation ann );

PARAMETERS

ann The annotation handle to check.

RETURN VALUES
Returns CG_TRUE if ann references a valid annotation.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsAnnotation returns CG_TRUE if ann references a valid annotation, CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsAnnotation was introduced in Cg 1.4.

SEE ALSO
cgGetNextAnnotation, cgGetAnnotationName, cgGetAnnotationType, cgCreateEffectAnnotation, cgCreateParameterAnnotation, cgCreatePassAnnotation, cgCreateProgramAnnotation, cgCreateTechniqueAnnotation